function M3d_init(varargin)
%
%M3D_INIT
%
%       Initialize 3D data for a particular dataset.
%

global pvoxM3d WFNData;

pvoxM3d.level       =1;
pvoxM3d.color       =0;
pvoxM3d.num_slices  =1;
pvoxM3d.wfn_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(min(WFNData.wfn(:,:,:,:))))) max(max(max(max(WFNData.wfn(:,:,:,:)))))];
pvoxM3d.pot_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(WFNData.pot(:,:,:)))) max(max(max(WFNData.pot(:,:,:))))];
pvoxM3d.rho_scale = [-WFNData.radius WFNData.radius -WFNData.radius WFNData.radius -WFNData.radius WFNData.radius min(min(min(WFNData.rho(:,:,:)))) max(max(max(WFNData.rho(:,:,:))))];

pvoxM3d.init        =1;
