function click_capture(varargin)
%
%CLICK_CAPTURE
%
%       Captures figure to a file.
%

global Phandles;

[filename, pathname, filterindex] = uiputfile({'*.bmp';'.gif';'.hdf';'.jpg';'.pbm';'.pcx';'.pgm';'.png';'.pnm';'.ppm';'.ras';'.tif';'.xwd';'.ps'}, 'Export to File');

if ( filterindex == 0 )
    return
end

name = strcat(pathname, filename);

if ( filterindex == 14 ) % It's a ps file
    
    print('-depsc','-noui',name);
    return;
    
elseif ( filterindex == 2 || filterindex == 6 || filterindex == 13 )
    
    X = getframe(Phandles.axes1);
    [X, map] = rgb2ind(X.cdata,65536);
    imwrite(X, map, name);

else

    X=getframe(Phandles.axes1);
    if isempty(X.colormap)
        imwrite(X.cdata, name)
    else
        imwrite(X.cdata, X.colormap, name)
    end
    
end
